
QGIS Application - Bug report #17561

When trying to export map via composer all labels from point\line\polygon vector layers disappear

2017-11-27 10:20 AM - Evgenia Sinieshtany

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.18.12 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 25458

Description

I ran into a big problem in QGIS - when trying to export map via composer all labels from point\line\polygon vector layers are

disappeared. 

It happens when projection of layer differs from map canvas projection and when I need to set map rotation in composer. 

This problem didn't exist in previous version (e.g. 2.6 I have used), QGIS did everything on-the-fly. 

Now exporting rotated map takes too much time - I have to resave all my layers to map projection and transform their coordinates xlbl and

ylbl (that already pinned in EPSG:4326).

I hope it could be fixed!

Attached files are the pictures and .shp file (+.qlr) with point layer labels:

lbl4326_rot0 - exported raster with layer in its projection WGS84 when add map and rotation angle = 0 (labels don't disappear)

lbl4326_rot21 - exported raster with layer in its projection WGS84 when add map and rotation angle = 21 (labels are disappear)

(composer_4326_rot21 - labels disappear already in Composer)

lbl_customproj_rot21 - exported raster with reprojected layer in custom map projection when add map and rotation angle = 21 (labels

don't disappear)

MapCanvas_PinnedLbl - all labels are pinned (xlbl and ylbl are filled, labels disappear because QGIS can't calculate labels on-the-fly?)

stlm4326 - point vector layer

stlm.qlr - style for layer

History

#1 - 2017-11-27 10:22 AM - Evgenia Sinieshtany

The map projection is

+proj=lcc +lat_1=67.5 +lat_2=78.5 +lat_0=0 +lon_0=74 +x_0=0 +y_0=0 +ellps=intl +units=m +no_defs

#2 - 2017-11-27 11:26 PM - Giovanni Manghi

- Subject changed from problem with labels to When trying to export map via composer all labels from point\line\polygon vector layers disappear

#3 - 2019-01-21 12:34 AM - Jürgen Fischer

- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#4 - 2019-03-08 11:44 AM - Giovanni Manghi

- Resolution set to no timely feedback
- Status changed from Feedback to Closed

Closing for lack of feedback.

Files

composer_4326_rot21.PNG 66.8 KB 2017-11-27 Evgenia Sinieshtany

lbl_customproj_rot21.jpeg 204 KB 2017-11-27 Evgenia Sinieshtany

lbl4326_rot0.jpeg 223 KB 2017-11-27 Evgenia Sinieshtany

MapCanvas_PinnedLbl.PNG 62.4 KB 2017-11-27 Evgenia Sinieshtany

stlm.qml 24 KB 2017-11-27 Evgenia Sinieshtany

stlm4326.cpg 5 Bytes 2017-11-27 Evgenia Sinieshtany

stlm4326.dbf 16.7 KB 2017-11-27 Evgenia Sinieshtany

stlm4326.prj 143 Bytes 2017-11-27 Evgenia Sinieshtany

stlm4326.qpj 257 Bytes 2017-11-27 Evgenia Sinieshtany

lbl4326_rot21.jpeg 186 KB 2017-11-27 Evgenia Sinieshtany
